RRDGraph::save
RRDGraph::setOptions
RRDGraph
PHP Manual

# RRDGraph::saveVerbose

(PECL rrd >= 0.9.0)

RRDGraph::saveVerbose — Saves the RRD database query into image and returns the verbose information about generated graph.

### Description

public array RRDGraph::saveVerbose ( void )

Saves the RRD database query into image file defined by method RRDGraph::__construct() and returns the verbose information about generated graph, if "-" is used as image filename, image data are also returned in result array.

### Parameters

This function has no parameters.

### Return Values

Array with detailed information about generated image is returned, optionally with image data, `FALSE` if error occurs.

RRDGraph::save
RRDGraph::setOptions
RRDGraph
PHP Manual